%define module Cairo

Summary:	Perl module for the Cairo library
Name:		perl-%module
Version:	1.023
Release:	%mkrel 1
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
# http://sourceforge.net/project/showfiles.php?group_id=64773&package_id=160888
Source:		http://prdownloads.sourceforge.net/gtk2-perl/%module-%version.tar.bz2
URL:		http://gtk2-perl.sf.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	cairo-devel perl-devel perl-ExtUtils-Depends perl-ExtUtils-PkgConfig

%description
This module provides perl access to the Cairo library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} OPTIMIZE="$RPM_OPT_FLAGS"
%{__make} test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc LICENSE examples README NEWS TODO ChangeLog
%{_mandir}/*/*
%{perl_vendorarch}/%module
%{perl_vendorarch}/%module.pm
%{perl_vendorarch}/auto/*


%changelog
* Tue Feb 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.023-1mdv2007.0
+ Revision: 126582
- new release

* Thu Jan 04 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.022-1mdv2007.1
+ Revision: 104209
- new release

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.021-1mdv2007.1
+ Revision: 86821
- new release

* Tue Oct 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.01-1mdv2007.1
+ Revision: 65974
- new release
- Import perl-Cairo



* Tue Sep 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.00-1mdv2007.0
- new release

* Wed Aug 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.92-1mdv2007.0
- new release

* Tue Jul 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.90-1mdv2007.0
- new release

* Fri Jun 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.04-1mdv2007.0
- new release

* Tue Jan 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.03-1mdk
- new release

* Thu Sep 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.02-1mdk
- 0.02
- Build and spec fixes, change group, enable "make test"

* Wed Aug 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.01-1mdk
- initial release
